package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * PvUspTsPeriodData对象 pv_usp_ts_period_data
 * 
 * @author hlf
 * @date 2022-07-13
 */
public class PvUspTsPeriodData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long pvNo;

    private Long modelNo;

    private Long timeScale;

    private Date dataTime;

    private Double ghi;

    private Double modCoeff;

    private Double power;

    private Double modPower;

    private Long dataFlag;

    public void setPvNo(Long pvNo) 
    {
        this.pvNo = pvNo;
    }

    public Long getPvNo() 
    {
        return pvNo;
    }
    public void setModelNo(Long modelNo) 
    {
        this.modelNo = modelNo;
    }

    public Long getModelNo() 
    {
        return modelNo;
    }
    public void setTimeScale(Long timeScale) 
    {
        this.timeScale = timeScale;
    }

    public Long getTimeScale() 
    {
        return timeScale;
    }
    public void setDataTime(Date dataTime) 
    {
        this.dataTime = dataTime;
    }

    public Date getDataTime() 
    {
        return dataTime;
    }

    public Double getGhi() {
        return ghi;
    }

    public void setGhi(Double ghi) {
        this.ghi = ghi;
    }

    public void setModCoeff(Double modCoeff)
    {
        this.modCoeff = modCoeff;
    }

    public Double getModCoeff() 
    {
        return modCoeff;
    }
    public void setPower(Double power) 
    {
        this.power = power;
    }

    public Double getPower() 
    {
        return power;
    }
    public void setModPower(Double modPower) 
    {
        this.modPower = modPower;
    }

    public Double getModPower() 
    {
        return modPower;
    }
    public void setDataFlag(Long dataFlag) 
    {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() 
    {
        return dataFlag;
    }

    private String manyTimeScale;

    public String getManyTimeScale() {
        return manyTimeScale;
    }

    public void setManyTimeScale(String manyTimeScale) {
        this.manyTimeScale = manyTimeScale;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pvNo", getPvNo())
            .append("modelNo", getModelNo())
            .append("timeScale", getTimeScale())
            .append("dataTime", getDataTime())
            .append("ghi", getGhi())
            .append("modCoeff", getModCoeff())
            .append("power", getPower())
            .append("modPower", getModPower())
            .append("dataFlag", getDataFlag())
            .toString();
    }
}
